summaryrefslogtreecommitdiffstats
path: root/source/l/aalib
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/aalib')
-rwxr-xr-xsource/l/aalib/aalib.SlackBuild27
-rw-r--r--source/l/aalib/slack-desc20
-rw-r--r--source/l/aalib/slack-desc.11line14
3 files changed, 36 insertions, 25 deletions
diff --git a/source/l/aalib/aalib.SlackBuild b/source/l/aalib/aalib.SlackBuild
index 2da339e5f..14a8d41aa 100755
--- a/source/l/aalib/aalib.SlackBuild
+++ b/source/l/aalib/aalib.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2013 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006, 2007, 2008, 2009, 2010, 2011, 2013, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,32 +20,40 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=aalib
VERSION=1.4rc5
SRCVER=1.4.0
-BUILD=${BUILD:-5}
+BUILD=${BUILD:-6}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-${PKGNAM}
rm -rf $PKG
mkdir -p $TMP $PKG
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -86,12 +94,15 @@ CXXFLAGS="$SLKCFLAGS" \
--mandir=/usr/man \
--program-prefix= \
--program-suffix= \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux || exit 1
# Build and install:
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
# Strip binaries:
find $PKG | xargs file | grep -e "executable" -e "shared object" \
| grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
diff --git a/source/l/aalib/slack-desc b/source/l/aalib/slack-desc
index fed222b05..531e7e041 100644
--- a/source/l/aalib/slack-desc
+++ b/source/l/aalib/slack-desc
@@ -1,21 +1,21 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
aalib: aalib (ASCII Art library) _1l1vlvlvlvlvlvlvlvlvvl=.
-aalib: __111llvl+' __...._ +1lv11=.
+aalib: __111llvl+' __...._ +1lv11=.
aalib: AA-lib is an ASCII art graphics _11vllvlv+ =vlvlvl1= /1vlvv1i=_
-aalib: library. Internally, the AA-lib _vvllvlvlv= -+vlvlvlvlvlvlvlvdvl=_
-aalib: API is similar to other graphics _:lvlvlvlvlv=. --^-^1lvlvlrlvv1s
-aalib: libraries, but it renders the =llvlvvlvlvv11lvl=.... -lvlevlvlvv
+aalib: library. Internally, the AA-lib _vvllvlvlv= -+vlvlvlvlvlvlvlvdvl=_
+aalib: API is similar to other graphics _:lvlvlvlvlv=. --^-^1lvlvlrlvv1s
+aalib: libraries, but it renders the =llvlvvlvlvv11lvl=.... -lvlevlvlvv
aalib: the output into ASCII art (like =lvlvlvlvll-^+1vv11111v_ vlkllvllvl
aalib: the example to the right :^) =lvlvlvlvl1 +1vv1v1lv _llvlvlvlvl
aalib: The developers of AA-lib are +1lv |vlvl' -^-^- _1olvlvlvlv'
aalib: Jan Hubicka, Thomas A. K. Kjaer, -1vl |lvlvlvlvlvlvlvlvv1vlvlvlvlv+.
-aalib: Tim Newsome, and Kamil Toman. +1 ^^^^^^^^^^^^^^^^^^^^^^^^vlv-
-aalib: -+uvlvlvlvlvlvlvlvlvlvlvlvl+_
-aalib: -vlvlvlvlvlvlvlvllvlvl-'
+aalib: Tim Newsome, and Kamil Toman. +1 ^^^^^^^^^^^^^^^^^^^^^^^^vlv-
+aalib: -+uvlvlvlvlvlvlvlvlvlvlvlvl+_
+aalib: -vlvlvlvlvlvlvlvllvlvl-'
diff --git a/source/l/aalib/slack-desc.11line b/source/l/aalib/slack-desc.11line
index 9a9a14777..e5b45c855 100644
--- a/source/l/aalib/slack-desc.11line
+++ b/source/l/aalib/slack-desc.11line
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
aalib: aalib (ASCII Art library) __111llvl+' __...._ +1lv11=.
-aalib: _11vllvlv+ =vlvlvl1= /1vlvv1i=_
+aalib: _11vllvlv+ =vlvlvl1= /1vlvv1i=_
aalib: AA-lib is an ASCII art graphics _vvllvlvlv= -+vlvlvlvlvlvlvlvdvl=_
-aalib: library. Internally, the AA-lib _:lvlvlvlvlv=. --^-^1lvlvlrlvv1s
-aalib: API is similar to other graphics =llvlvvlvlvv11lvl=.... -lvlevlvlvv
+aalib: library. Internally, the AA-lib _:lvlvlvlvlv=. --^-^1lvlvlrlvv1s
+aalib: API is similar to other graphics =llvlvvlvlvv11lvl=.... -lvlevlvlvv
aalib: libraries, but it renders the =lvlvlvlvll-^+1vv11111v_ vlkllvllvl
aalib: the output into ASCII art (like =lvlvlvlvl1 +1vv1v1lv _llvlvlvlvl
aalib: the example to the right :^) +1lv |vlvl' -^-^- _1olvlvlvlv'
aalib: The developers of AA-lib are -1vl |lvlvlvlvlvlvlvlvv1vlvlvlvlv+.
aalib: Jan Hubicka, Thomas A. K. Kjaer, +1 ^^^^^^^^^^^^^^^^^^^^^^^^vlv-
-aalib: Tim Newsome, and Kamil Toman. -+uvlvlvlvlvlvlvlvlvlvlvlvl+_
+aalib: Tim Newsome, and Kamil Toman. -+uvlvlvlvlvlvlvlvlvlvlvlvl+_